INTERFACE
SUBROUTINE GNH_CONV_NHVAR(&
 & LDMODEL_TO_FILE,&
 & PU,PV,PT,PTL,PTM,PSPD,PSPDL,PSPDM,PSVD,PSP,PSPL,PSPM,&
 & PQ,PQL,PQM,PL,PLL,PLM,PI,PIL,PIM,PR,PS,PG,&
 & PSNHX&
 & ) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
USE YOMGEM , ONLY : VAH ,VBH ,VC ,VDELB ,NGPTOT
LOGICAL,INTENT(IN) :: LDMODEL_TO_FILE
REAL(KIND=JPRB),INTENT(INOUT) :: PU (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PV (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PT (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PTL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PTM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSPD (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSPDL(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSPDM(NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSVD (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PSP (NGPTOT)
REAL(KIND=JPRB),INTENT(INOUT) :: PSPL (NGPTOT)
REAL(KIND=JPRB),INTENT(INOUT) :: PSPM (NGPTOT)
REAL(KIND=JPRB),INTENT(INOUT) :: PQ (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PQL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PQM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PLL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PLM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PI (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PIL (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PIM (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PR (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PS (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(INOUT) :: PG (NGPTOT,NFLEVG)
REAL(KIND=JPRB),INTENT(OUT) :: PSNHX(NGPTOT,NFLEVG)
END SUBROUTINE GNH_CONV_NHVAR
END INTERFACE
